%define upstream_name    Crypt-OpenSSL-DSA
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Digital Signature Algorithm using OpenSSL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: openssl-devel
%description
Crypt::OpenSSL::DSA implements the DSA 
(Digital Signature Algorithm) signature verification system.

It is a thin XS wrapper to the DSA functions contained in the 
OpenSSL crypto library, located at http://www.openssl.org

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 364894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 316044
- update to 0.14

* Wed May 30 2012 jquelin <jquelin> 0.130.0-5.mga3
+ Revision: 250398
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.130.0-4.mga2
+ Revision: 103842
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.130.0-3.mga1
+ Revision: 10411
- imported package perl-Crypt-OpenSSL-DSA

